<template>
  <div id="projectedit" class="container">
    <h4 style="text-align: left">{{ $t("headline") }}:</h4>
    <component
      :is="currentComponent"
      :projectId="selectedProjectId"
      :languageLocale="language"
    />
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import CreateProject from "@coscine/project-creation";
import "@coscine/project-creation/dist/index.css";
import { LanguageUtil, GuidUtil } from "@coscine/app-util";

Vue.use(CreateProject);

export default Vue.extend({
  name: "projectedit",
  data() {
    return {
      currentComponent: "CreateProject",
      selectedProjectId: GuidUtil.getProjectId(),
      language: LanguageUtil.getLanguage(),
    };
  },
});
</script>

<style>
#project h4 {
  color: #000;
  font-family: "Avenir", Helvetica, Arial, sans-serif;
}
</style>
